Command Palette

Search for a command to run...

Search Documentation

Search documentation topics, API endpoints, and guides

getOrders
Source

OpenAPI Documentation

GET /v1/orders/{orderId}

Retrieve an order

Retrieve one owned order for status checks and reconciliation.

Last updated on 5/26/2026

Endpoint

get/v1/orders/{orderId}

Retrieves one owned order by ID. Store the ID returned by order creation and use this endpoint for reconciliation and status checks. Include the order ID, Idempotency-Key, and externalOrderId when contacting support.

Authentication

Include your customer API key in the Authorization header:

shell
Authorization: Bearer $AUTOMATIC_PALLET_API_KEY

Request

Parameters

NameInTypeRequiredDescription
orderIdpathstringRequiredIdentifier returned by a successful order creation request.

Responses

200Order details.
200 Response Schema
{
  "$ref": "#/components/schemas/Order"
}
401Missing or invalid API key.
401 Response Schema
{
  "$ref": "#/components/schemas/ErrorResponse"
}
403API key lacks orders:read.
403 Response Schema
{
  "$ref": "#/components/schemas/ErrorResponse"
}
404Order not found.
404 Response Schema
{
  "$ref": "#/components/schemas/ErrorResponse"
}

Example cURL Request

cURL
curl "https://automaticpallet.com/v1/orders/$ORDER_ID" \
  -H "Authorization: Bearer $AUTOMATIC_PALLET_API_KEY"